import * as i0 from '@angular/core';
import { input, output, forwardRef, HostBinding, Component, ViewEncapsulation, model, ViewChildren } from '@angular/core';
import * as i2 from '@angular/forms';
import { FormGroupDirective, ControlContainer, FormsModule, ReactiveFormsModule, NG_VALUE_ACCESSOR, NG_VALIDATORS } from '@angular/forms';
import * as i1 from 'primeng/floatlabel';
import { FloatLabel, FloatLabelModule } from 'primeng/floatlabel';
import { AutoComplete } from 'primeng/autocomplete';
import * as i1$2 from 'primeng/inputnumber';
import { InputNumberModule } from 'primeng/inputnumber';
import { DatePicker } from 'primeng/datepicker';
import * as i1$1 from 'primeng/inputtext';
import { InputTextModule } from 'primeng/inputtext';
import * as i1$3 from 'primeng/textarea';
import { TextareaModule } from 'primeng/textarea';
import * as i1$4 from 'primeng/select';
import { SelectModule } from 'primeng/select';
import * as i1$5 from 'primeng/toggleswitch';
import { ToggleSwitchModule } from 'primeng/toggleswitch';

class ZAutoCompleteComponent {
    class = 'flex flex-auto';
    labelClassStyle = input('flex flex-auto');
    inputClassStyle = input('flex flex-auto');
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    formControlName = input(undefined);
    showClear = input(undefined);
    showTime = input(false);
    showIcon = input(true);
    locale = input(undefined);
    suggestions = input(undefined);
    completeMethod = output();
    onCompleteMethod($event) {
        console.debug($event);
        this.completeMethod.emit($event);
    }
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZAutoCompleteComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZAutoCompleteComponent, isStandalone: true, selector: "z-auto-complete", inputs: { labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, formControlName: { classPropertyName: "formControlName", publicName: "formControlName", isSignal: true, isRequired: false, transformFunction: null }, showClear: { classPropertyName: "showClear", publicName: "showClear", isSignal: true, isRequired: false, transformFunction: null }, showTime: { classPropertyName: "showTime", publicName: "showTime", isSignal: true, isRequired: false, transformFunction: null }, showIcon: { classPropertyName: "showIcon", publicName: "showIcon", isSignal: true, isRequired: false, transformFunction: null }, locale: { classPropertyName: "locale", publicName: "locale", isSignal: true, isRequired: false, transformFunction: null }, suggestions: { classPropertyName: "suggestions", publicName: "suggestions", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { completeMethod: "completeMethod" }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZAutoCompleteComponent),
                multi: true,
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZAutoCompleteComponent,
            },
        ], ngImport: i0, template: "<p-floatlabel variant=\"on\">\r\n  <p-autocomplete\r\n    [lazy]=\"true\"\r\n    [forceSelection]=\"true\"\r\n    [showClear]=\"true\"\r\n    [suggestions]=\"suggestions() ?? []\"\r\n    [ngModelOptions]=\"{ standalone: true }\"\r\n    [ngModel]=\"model\"\r\n    (ngModelChange)=\"onModelChange($event)\"\r\n    (completeMethod)=\"onCompleteMethod($event)\"\r\n  />\r\n  <label for=\"on_label\">{{ label() }}</label>\r\n</p-floatlabel>\r\n", styles: [""], dependencies: [{ kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "component", type: AutoComplete, selector: "p-autoComplete, p-autocomplete, p-auto-complete", inputs: ["minLength", "delay", "style", "panelStyle", "styleClass", "panelStyleClass", "inputStyle", "inputId", "inputStyleClass", "placeholder", "readonly", "disabled", "scrollHeight", "lazy", "virtualScroll", "virtualScrollItemSize", "virtualScrollOptions", "maxlength", "name", "required", "size", "appendTo", "autoHighlight", "forceSelection", "type", "autoZIndex", "baseZIndex", "ariaLabel", "dropdownAriaLabel", "ariaLabelledBy", "dropdownIcon", "unique", "group", "completeOnFocus", "showClear", "field", "dropdown", "showEmptyMessage", "dropdownMode", "multiple", "tabindex", "dataKey", "emptyMessage", "showTransitionOptions", "hideTransitionOptions", "autofocus", "autocomplete", "optionGroupChildren", "optionGroupLabel", "overlayOptions", "suggestions", "itemSize", "optionLabel", "optionValue", "id", "searchMessage", "emptySelectionMessage", "selectionMessage", "autoOptionFocus", "selectOnFocus", "searchLocale", "optionDisabled", "focusOnHover", "typeahead", "variant", "fluid"], outputs: ["completeMethod", "onSelect", "onUnselect", "onFocus", "onBlur", "onDropdownClick", "onClear", "onKeyUp", "onShow", "onHide", "onLazyLoad"] }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective,
            },
        ] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZAutoCompleteComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-auto-complete', imports: [FormsModule, ReactiveFormsModule, FloatLabel, AutoComplete], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZAutoCompleteComponent),
                            multi: true,
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZAutoCompleteComponent,
                        },
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective,
                        },
                    ], template: "<p-floatlabel variant=\"on\">\r\n  <p-autocomplete\r\n    [lazy]=\"true\"\r\n    [forceSelection]=\"true\"\r\n    [showClear]=\"true\"\r\n    [suggestions]=\"suggestions() ?? []\"\r\n    [ngModelOptions]=\"{ standalone: true }\"\r\n    [ngModel]=\"model\"\r\n    (ngModelChange)=\"onModelChange($event)\"\r\n    (completeMethod)=\"onCompleteMethod($event)\"\r\n  />\r\n  <label for=\"on_label\">{{ label() }}</label>\r\n</p-floatlabel>\r\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class ZDatePickerComponent {
    class = 'flex flex-auto';
    style = 'align-self: baseline';
    labelClassStyle = input('flex flex-auto');
    inputClassStyle = input('flex flex-auto');
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    formControlName = input(undefined);
    showClear = input(undefined);
    showTime = input(false);
    showIcon = input(true);
    locale = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled = false;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZDatePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZDatePickerComponent, isStandalone: true, selector: "z-date-picker", inputs: { labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, formControlName: { classPropertyName: "formControlName", publicName: "formControlName", isSignal: true, isRequired: false, transformFunction: null }, showClear: { classPropertyName: "showClear", publicName: "showClear", isSignal: true, isRequired: false, transformFunction: null }, showTime: { classPropertyName: "showTime", publicName: "showTime", isSignal: true, isRequired: false, transformFunction: null }, showIcon: { classPropertyName: "showIcon", publicName: "showIcon", isSignal: true, isRequired: false, transformFunction: null }, locale: { classPropertyName: "locale", publicName: "locale", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class", "style": "this.style" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZDatePickerComponent),
                multi: true,
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZDatePickerComponent,
            },
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-datepicker\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    [showClear]=\"showClear()\"\n    [showTime]=\"showTime()\"\n    [showIcon]=\"showIcon()\"\n    [appendTo]=\"'body'\"\n    [disabled]=\"disabled\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-datepicker>\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [":host{display:block}\n"], dependencies: [{ kind: "ngmodule", type: InputNumberModule }, { kind: "ngmodule", type: FloatLabelModule }, { kind: "component", type: i1.FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "component", type: DatePicker, selector: "p-datePicker, p-datepicker, p-date-picker", inputs: ["iconDisplay", "style", "styleClass", "inputStyle", "inputId", "name", "inputStyleClass", "placeholder", "ariaLabelledBy", "ariaLabel", "iconAriaLabel", "disabled", "dateFormat", "multipleSeparator", "rangeSeparator", "inline", "showOtherMonths", "selectOtherMonths", "showIcon", "fluid", "icon", "appendTo", "readonlyInput", "shortYearCutoff", "monthNavigator", "yearNavigator", "hourFormat", "timeOnly", "stepHour", "stepMinute", "stepSecond", "showSeconds", "required", "showOnFocus", "showWeek", "startWeekFromFirstDayOfYear", "showClear", "dataType", "selectionMode", "maxDateCount", "showButtonBar", "todayButtonStyleClass", "clearButtonStyleClass", "autofocus", "autoZIndex", "baseZIndex", "panelStyleClass", "panelStyle", "keepInvalid", "hideOnDateTimeSelect", "touchUI", "timeSeparator", "focusTrap", "showTransitionOptions", "hideTransitionOptions", "tabindex", "variant", "size", "minDate", "maxDate", "disabledDates", "disabledDays", "yearRange", "showTime", "responsiveOptions", "numberOfMonths", "firstDayOfWeek", "locale", "view", "defaultDate"], outputs: ["onFocus", "onBlur", "onClose", "onSelect", "onClear", "onInput", "onTodayClick", "onClearClick", "onMonthChange", "onYearChange", "onClickOutside", "onShow"] }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective,
            },
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZDatePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-date-picker', imports: [
                        InputNumberModule,
                        FloatLabelModule,
                        FormsModule,
                        ReactiveFormsModule,
                        DatePicker,
                    ], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZDatePickerComponent),
                            multi: true,
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZDatePickerComponent,
                        },
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective,
                        },
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-datepicker\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    [showClear]=\"showClear()\"\n    [showTime]=\"showTime()\"\n    [showIcon]=\"showIcon()\"\n    [appendTo]=\"'body'\"\n    [disabled]=\"disabled\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-datepicker>\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [":host{display:block}\n"] }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }], style: [{
                type: HostBinding,
                args: ['style']
            }] } });

class ZFloatEmailComponent {
    class = 'flex-auto';
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input('flex flex-auto');
    label = input('EMail');
    autocomplete = input(undefined);
    id = input(undefined);
    formControlName = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatEmailComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZFloatEmailComponent, isStandalone: true, selector: "z-float-email", inputs: { inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, formControlName: { classPropertyName: "formControlName", publicName: "formControlName", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZFloatEmailComponent),
                multi: true
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZFloatEmailComponent
            }
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <input\n    class=\"{{ inputClassStyle() }}\"\n    pInputText\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  />\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: InputTextModule }, { kind: "directive", type: i1$1.InputText, selector: "[pInputText]", inputs: ["variant", "fluid", "pSize"] }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective
            }
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatEmailComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-float-email', imports: [InputTextModule, FloatLabel, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZFloatEmailComponent),
                            multi: true
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZFloatEmailComponent
                        }
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective
                        }
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <input\n    class=\"{{ inputClassStyle() }}\"\n    pInputText\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  />\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class ZFloatLabelComponent {
    class = 'flex flex-auto';
    style = 'align-self: baseline';
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input('flex flex-auto');
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    readOnly = input(undefined);
    formControlName = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled = false;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZFloatLabelComponent, isStandalone: true, selector: "z-float-label", inputs: { inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, readOnly: { classPropertyName: "readOnly", publicName: "readOnly", isSignal: true, isRequired: false, transformFunction: null }, formControlName: { classPropertyName: "formControlName", publicName: "formControlName", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class", "style": "this.style" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZFloatLabelComponent),
                multi: true
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZFloatLabelComponent
            }
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <input\n    class=\"{{ inputClassStyle() }}\"\n    pInputText\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    [readOnly]=\"readOnly()\"\n    [disabled]=\"disabled\"\n    [(ngModel)]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  />\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: InputTextModule }, { kind: "directive", type: i1$1.InputText, selector: "[pInputText]", inputs: ["variant", "fluid", "pSize"] }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective
            }
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-float-label', imports: [InputTextModule, FloatLabel, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZFloatLabelComponent),
                            multi: true
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZFloatLabelComponent
                        }
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective
                        }
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <input\n    class=\"{{ inputClassStyle() }}\"\n    pInputText\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    [readOnly]=\"readOnly()\"\n    [disabled]=\"disabled\"\n    [(ngModel)]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  />\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }], style: [{
                type: HostBinding,
                args: ['style']
            }] } });

class ZFloatLabelCurrencyComponent {
    class = 'flex flex-auto';
    inputStyle = input();
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input('flex flex-auto');
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    formControlName = input(undefined);
    mode = input('decimal');
    minFractionDigits = input(2);
    maxFractionDigits = input(2);
    min = input(undefined);
    max = input(undefined);
    step = input(0);
    currency = input('EUR');
    locale = input('el-GR');
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelCurrencyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZFloatLabelCurrencyComponent, isStandalone: true, selector: "z-float-label-currency", inputs: { inputStyle: { classPropertyName: "inputStyle", publicName: "inputStyle", isSignal: true, isRequired: false, transformFunction: null }, inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, formControlName: { classPropertyName: "formControlName", publicName: "formControlName", isSignal: true, isRequired: false, transformFunction: null }, mode: { classPropertyName: "mode", publicName: "mode", isSignal: true, isRequired: false, transformFunction: null }, minFractionDigits: { classPropertyName: "minFractionDigits", publicName: "minFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, maxFractionDigits: { classPropertyName: "maxFractionDigits", publicName: "maxFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, min: { classPropertyName: "min", publicName: "min", isSignal: true, isRequired: false, transformFunction: null }, max: { classPropertyName: "max", publicName: "max", isSignal: true, isRequired: false, transformFunction: null }, step: { classPropertyName: "step", publicName: "step", isSignal: true, isRequired: false, transformFunction: null }, currency: { classPropertyName: "currency", publicName: "currency", isSignal: true, isRequired: false, transformFunction: null }, locale: { classPropertyName: "locale", publicName: "locale", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZFloatLabelCurrencyComponent),
                multi: true,
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZFloatLabelCurrencyComponent,
            },
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-inputnumber\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyle]=\"inputStyle()\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    mode=\"{{ mode() }}\"\n    [minFractionDigits]=\"minFractionDigits()\"\n    [maxFractionDigits]=\"maxFractionDigits()\"\n    [min]=\"min()\"\n    [max]=\"max()\"\n    [step]=\"step()\"\n    [currency]=\"currency()\"\n    [locale]=\"locale()\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-inputnumber>\n\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: InputNumberModule }, { kind: "component", type: i1$2.InputNumber, selector: "p-inputNumber, p-inputnumber, p-input-number", inputs: ["showButtons", "format", "buttonLayout", "inputId", "styleClass", "style", "placeholder", "size", "maxlength", "tabindex", "title", "ariaLabelledBy", "ariaDescribedBy", "ariaLabel", "ariaRequired", "name", "required", "autocomplete", "min", "max", "incrementButtonClass", "decrementButtonClass", "incrementButtonIcon", "decrementButtonIcon", "readonly", "step", "allowEmpty", "locale", "localeMatcher", "mode", "currency", "currencyDisplay", "useGrouping", "variant", "minFractionDigits", "maxFractionDigits", "prefix", "suffix", "inputStyle", "inputStyleClass", "showClear", "autofocus", "disabled", "fluid"], outputs: ["onInput", "onFocus", "onBlur", "onKeyDown", "onClear"] }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective,
            },
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelCurrencyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-float-label-currency', imports: [InputNumberModule, FloatLabel, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZFloatLabelCurrencyComponent),
                            multi: true,
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZFloatLabelCurrencyComponent,
                        },
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective,
                        },
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-inputnumber\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyle]=\"inputStyle()\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    mode=\"{{ mode() }}\"\n    [minFractionDigits]=\"minFractionDigits()\"\n    [maxFractionDigits]=\"maxFractionDigits()\"\n    [min]=\"min()\"\n    [max]=\"max()\"\n    [step]=\"step()\"\n    [currency]=\"currency()\"\n    [locale]=\"locale()\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-inputnumber>\n\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class ZFloatLabelNotesComponent {
    class = 'flex-auto';
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input('flex flex-auto');
    label = input('Σημειώσεις');
    autocomplete = input(undefined);
    id = input(undefined);
    rows = input(5);
    cols = input(30);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelNotesComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZFloatLabelNotesComponent, isStandalone: true, selector: "z-float-label-notes", inputs: { inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, rows: { classPropertyName: "rows", publicName: "rows", isSignal: true, isRequired: false, transformFunction: null }, cols: { classPropertyName: "cols", publicName: "cols", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZFloatLabelNotesComponent),
                multi: true
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZFloatLabelNotesComponent
            }
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <textarea\n    pTextarea\n    class=\"{{ inputClassStyle() }}\"\n    id=\"{{ id() }}\"\n    rows=\"{{ rows() }}\"\n    cols=\"{{ cols() }}\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  >\n  </textarea>\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: InputTextModule }, { kind: "ngmodule", type: TextareaModule }, { kind: "directive", type: i1$3.Textarea, selector: "[pTextarea]", inputs: ["autoResize", "variant", "fluid", "pSize"], outputs: ["onResize"] }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective
            }
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelNotesComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-float-label-notes', imports: [
                        InputTextModule,
                        TextareaModule,
                        FloatLabel,
                        FormsModule,
                        ReactiveFormsModule
                    ], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZFloatLabelNotesComponent),
                            multi: true
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZFloatLabelNotesComponent
                        }
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective
                        }
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <textarea\n    pTextarea\n    class=\"{{ inputClassStyle() }}\"\n    id=\"{{ id() }}\"\n    rows=\"{{ rows() }}\"\n    cols=\"{{ cols() }}\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  >\n  </textarea>\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class ZFloatLabelNumberComponent {
    class = 'flex flex-auto';
    inputStyle = input();
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input('flex flex-auto');
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    mode = input('decimal');
    minFractionDigits = input(0);
    maxFractionDigits = input(2);
    min = input(undefined);
    max = input(undefined);
    step = input(0);
    locale = input(undefined);
    suffix = input(undefined);
    prefix = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelNumberComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZFloatLabelNumberComponent, isStandalone: true, selector: "z-float-label-number", inputs: { inputStyle: { classPropertyName: "inputStyle", publicName: "inputStyle", isSignal: true, isRequired: false, transformFunction: null }, inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, mode: { classPropertyName: "mode", publicName: "mode", isSignal: true, isRequired: false, transformFunction: null }, minFractionDigits: { classPropertyName: "minFractionDigits", publicName: "minFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, maxFractionDigits: { classPropertyName: "maxFractionDigits", publicName: "maxFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, min: { classPropertyName: "min", publicName: "min", isSignal: true, isRequired: false, transformFunction: null }, max: { classPropertyName: "max", publicName: "max", isSignal: true, isRequired: false, transformFunction: null }, step: { classPropertyName: "step", publicName: "step", isSignal: true, isRequired: false, transformFunction: null }, locale: { classPropertyName: "locale", publicName: "locale", isSignal: true, isRequired: false, transformFunction: null }, suffix: { classPropertyName: "suffix", publicName: "suffix", isSignal: true, isRequired: false, transformFunction: null }, prefix: { classPropertyName: "prefix", publicName: "prefix", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZFloatLabelNumberComponent),
                multi: true,
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZFloatLabelNumberComponent,
            },
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-inputnumber\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyle]=\"inputStyle()\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    mode=\"{{ mode() }}\"\n    [minFractionDigits]=\"minFractionDigits()\"\n    [maxFractionDigits]=\"maxFractionDigits()\"\n    [min]=\"min()\"\n    [max]=\"max()\"\n    [step]=\"step()\"\n    [locale]=\"locale()\"\n    [suffix]=\"suffix()\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-inputnumber>\n\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: InputNumberModule }, { kind: "component", type: i1$2.InputNumber, selector: "p-inputNumber, p-inputnumber, p-input-number", inputs: ["showButtons", "format", "buttonLayout", "inputId", "styleClass", "style", "placeholder", "size", "maxlength", "tabindex", "title", "ariaLabelledBy", "ariaDescribedBy", "ariaLabel", "ariaRequired", "name", "required", "autocomplete", "min", "max", "incrementButtonClass", "decrementButtonClass", "incrementButtonIcon", "decrementButtonIcon", "readonly", "step", "allowEmpty", "locale", "localeMatcher", "mode", "currency", "currencyDisplay", "useGrouping", "variant", "minFractionDigits", "maxFractionDigits", "prefix", "suffix", "inputStyle", "inputStyleClass", "showClear", "autofocus", "disabled", "fluid"], outputs: ["onInput", "onFocus", "onBlur", "onKeyDown", "onClear"] }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective,
            },
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelNumberComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-float-label-number', imports: [InputNumberModule, FloatLabel, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZFloatLabelNumberComponent),
                            multi: true,
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZFloatLabelNumberComponent,
                        },
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective,
                        },
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-inputnumber\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyle]=\"inputStyle()\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    mode=\"{{ mode() }}\"\n    [minFractionDigits]=\"minFractionDigits()\"\n    [maxFractionDigits]=\"maxFractionDigits()\"\n    [min]=\"min()\"\n    [max]=\"max()\"\n    [step]=\"step()\"\n    [locale]=\"locale()\"\n    [suffix]=\"suffix()\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-inputnumber>\n\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class ZFloatLabelPercentComponent {
    class = 'flex flex-auto';
    inputStyle = input();
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input('flex flex-auto');
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    mode = input('decimal');
    minFractionDigits = input(0);
    maxFractionDigits = input(2);
    min = input(undefined);
    max = input(undefined);
    step = input(0);
    locale = input('el-GR');
    suffix = input('');
    prefix = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        if (obj != undefined)
            this.model = obj * 100;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    /* /NG_VALUE_ACCESSOR Implementation */
    onModelValueChange(percent) {
        this.onModelChange(percent / 100);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelPercentComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZFloatLabelPercentComponent, isStandalone: true, selector: "z-float-label-percent", inputs: { inputStyle: { classPropertyName: "inputStyle", publicName: "inputStyle", isSignal: true, isRequired: false, transformFunction: null }, inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, mode: { classPropertyName: "mode", publicName: "mode", isSignal: true, isRequired: false, transformFunction: null }, minFractionDigits: { classPropertyName: "minFractionDigits", publicName: "minFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, maxFractionDigits: { classPropertyName: "maxFractionDigits", publicName: "maxFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, min: { classPropertyName: "min", publicName: "min", isSignal: true, isRequired: false, transformFunction: null }, max: { classPropertyName: "max", publicName: "max", isSignal: true, isRequired: false, transformFunction: null }, step: { classPropertyName: "step", publicName: "step", isSignal: true, isRequired: false, transformFunction: null }, locale: { classPropertyName: "locale", publicName: "locale", isSignal: true, isRequired: false, transformFunction: null }, suffix: { classPropertyName: "suffix", publicName: "suffix", isSignal: true, isRequired: false, transformFunction: null }, prefix: { classPropertyName: "prefix", publicName: "prefix", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZFloatLabelPercentComponent),
                multi: true,
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZFloatLabelPercentComponent,
            },
        ], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-inputnumber\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyle]=\"inputStyle()\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    mode=\"{{ mode() }}\"\n    [minFractionDigits]=\"minFractionDigits()\"\n    [maxFractionDigits]=\"maxFractionDigits()\"\n    [min]=\"min()\"\n    [max]=\"max()\"\n    [step]=\"step()\"\n    [locale]=\"locale()\"\n    [suffix]=\"suffix()\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelValueChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-inputnumber>\n\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: InputNumberModule }, { kind: "component", type: i1$2.InputNumber, selector: "p-inputNumber, p-inputnumber, p-input-number", inputs: ["showButtons", "format", "buttonLayout", "inputId", "styleClass", "style", "placeholder", "size", "maxlength", "tabindex", "title", "ariaLabelledBy", "ariaDescribedBy", "ariaLabel", "ariaRequired", "name", "required", "autocomplete", "min", "max", "incrementButtonClass", "decrementButtonClass", "incrementButtonIcon", "decrementButtonIcon", "readonly", "step", "allowEmpty", "locale", "localeMatcher", "mode", "currency", "currencyDisplay", "useGrouping", "variant", "minFractionDigits", "maxFractionDigits", "prefix", "suffix", "inputStyle", "inputStyleClass", "showClear", "autofocus", "disabled", "fluid"], outputs: ["onInput", "onFocus", "onBlur", "onKeyDown", "onClear"] }, { kind: "component", type: FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective,
            },
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZFloatLabelPercentComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-float-label-percent', imports: [InputNumberModule, FloatLabel, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZFloatLabelPercentComponent),
                            multi: true,
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZFloatLabelPercentComponent,
                        },
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective,
                        },
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-inputnumber\n    class=\"{{ inputClassStyle() }}\"\n    [inputStyle]=\"inputStyle()\"\n    [inputStyleClass]=\"inputClassStyle()\"\n    [styleClass]=\"inputClassStyle()\"\n    id=\"{{ id() }}\"\n    autocomplete=\"{{ autocomplete() }}\"\n    mode=\"{{ mode() }}\"\n    [minFractionDigits]=\"minFractionDigits()\"\n    [maxFractionDigits]=\"maxFractionDigits()\"\n    [min]=\"min()\"\n    [max]=\"max()\"\n    [step]=\"step()\"\n    [locale]=\"locale()\"\n    [suffix]=\"suffix()\"\n    [ngModel]=\"model\"\n    (ngModelChange)=\"onModelValueChange($event)\"\n    [ngModelOptions]=\"{ standalone: true }\"\n  ></p-inputnumber>\n\n  <label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

class ZSelectComponent {
    pSelect;
    class = 'flex flex-auto';
    style = 'align-self: baseline';
    filter = input(true);
    filterBy = input(undefined);
    showClear = input(true);
    inputId = input(undefined);
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    optionLabel = input(undefined);
    optionValue = model(undefined);
    options = input(undefined);
    placeholder = input(undefined);
    appendTo = input('body');
    editable = input(undefined);
    lazy = input(undefined);
    onFilter = output();
    onLazyLoad = output();
    onChange = output();
    selectStyle = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled = false;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    /* /NG_VALUE_ACCESSOR Implementation */
    selectionChange($event) {
        // alert(2);
        // debugger;
        // $event.originalEvent.preventDefault();
        // $event.originalEvent.stopImmediatePropagation();
        // $event.originalEvent.stopPropagation();
        // if (this.pSelect) {
        //   //this.pSelect.selectedOption = 'PICKUP';
        //   //this.pSelect.focusedOptionIndex.set(1);
        // }
        // setTimeout(() => {
        //   alert(8);
        //   this.model = 'PICKUP';
        //   //this.optionValue.set('PICKUP');
        // }, 5000);
        console.debug('selection change', $event);
        this.onChange.emit($event);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZSelectComponent, isStandalone: true, selector: "z-select", inputs: { filter: { classPropertyName: "filter", publicName: "filter", isSignal: true, isRequired: false, transformFunction: null }, filterBy: { classPropertyName: "filterBy", publicName: "filterBy", isSignal: true, isRequired: false, transformFunction: null }, showClear: { classPropertyName: "showClear", publicName: "showClear", isSignal: true, isRequired: false, transformFunction: null }, inputId: { classPropertyName: "inputId", publicName: "inputId", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, optionLabel: { classPropertyName: "optionLabel", publicName: "optionLabel", isSignal: true, isRequired: false, transformFunction: null }, optionValue: { classPropertyName: "optionValue", publicName: "optionValue", isSignal: true, isRequired: false, transformFunction: null }, options: { classPropertyName: "options", publicName: "options", isSignal: true, isRequired: false, transformFunction: null }, placeholder: { classPropertyName: "placeholder", publicName: "placeholder", isSignal: true, isRequired: false, transformFunction: null }, appendTo: { classPropertyName: "appendTo", publicName: "appendTo", isSignal: true, isRequired: false, transformFunction: null }, editable: { classPropertyName: "editable", publicName: "editable", isSignal: true, isRequired: false, transformFunction: null }, lazy: { classPropertyName: "lazy", publicName: "lazy", isSignal: true, isRequired: false, transformFunction: null }, selectStyle: { classPropertyName: "selectStyle", publicName: "selectStyle", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { optionValue: "optionValueChange", onFilter: "onFilter", onLazyLoad: "onLazyLoad", onChange: "onChange" }, host: { properties: { "class": "this.class", "style": "this.style" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZSelectComponent),
                multi: true
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZSelectComponent
            }
        ], viewQueries: [{ propertyName: "pSelect", predicate: ["pSelect"], descendants: true }], ngImport: i0, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-select\n    #pSelect\n    id=\"{{ id() }}\"\n    inputId=\"{{ inputId() }}\"\n    class=\"{{ class }}\"\n    [style]=\"selectStyle()\"\n    [options]=\"options()\"\n    [optionLabel]=\"optionLabel()\"\n    [optionValue]=\"optionValue()\"\n    [placeholder]=\"placeholder()\"\n    [appendTo]=\"appendTo()\"\n    [filter]=\"filter()\"\n    filterBy=\"{{ filterBy() }}\"\n    [showClear]=\"showClear()\"\n    [editable]=\"editable()\"\n    [lazy]=\"lazy()\"\n    [disabled]=\"disabled\"\n    [(ngModel)]=\"model\"\n    [ngModelOptions]=\"{ standalone: true }\"\n    (ngModelChange)=\"onModelChange($event)\"\n    (onFilter)=\"onFilter.emit($event)\"\n    (onLazyLoad)=\"onLazyLoad.emit($event)\"\n    (onChange)=\"selectionChange($event)\" />\n  <label>{{ label() }}</label>\n</p-floatlabel>\n", styles: [""], dependencies: [{ kind: "ngmodule", type: SelectModule }, { kind: "component", type: i1$4.Select, selector: "p-select", inputs: ["id", "scrollHeight", "filter", "name", "style", "panelStyle", "styleClass", "panelStyleClass", "readonly", "required", "editable", "appendTo", "tabindex", "placeholder", "loadingIcon", "filterPlaceholder", "filterLocale", "variant", "inputId", "dataKey", "filterBy", "filterFields", "autofocus", "resetFilterOnHide", "checkmark", "dropdownIcon", "loading", "optionLabel", "optionValue", "optionDisabled", "optionGroupLabel", "optionGroupChildren", "autoDisplayFirst", "group", "showClear", "emptyFilterMessage", "emptyMessage", "lazy", "virtualScroll", "virtualScrollItemSize", "virtualScrollOptions", "size", "overlayOptions", "ariaFilterLabel", "ariaLabel", "ariaLabelledBy", "filterMatchMode", "maxlength", "tooltip", "tooltipPosition", "tooltipPositionStyle", "tooltipStyleClass", "focusOnHover", "selectOnFocus", "autoOptionFocus", "autofocusFilter", "fluid", "disabled", "itemSize", "autoZIndex", "baseZIndex", "showTransitionOptions", "hideTransitionOptions", "filterValue", "options"], outputs: ["onChange", "onFilter", "onFocus", "onBlur", "onClick", "onShow", "onHide", "onClear", "onLazyLoad"] }, { kind: "ngmodule", type: FloatLabelModule }, { kind: "component", type: i1.FloatLabel, selector: "p-floatlabel, p-floatLabel, p-float-label", inputs: ["variant"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective
            }
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-select', imports: [SelectModule, FloatLabelModule, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZSelectComponent),
                            multi: true
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZSelectComponent
                        }
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective
                        }
                    ], encapsulation: ViewEncapsulation.None, template: "<p-floatlabel class=\"flex flex-auto\" [variant]=\"'on'\">\n  <p-select\n    #pSelect\n    id=\"{{ id() }}\"\n    inputId=\"{{ inputId() }}\"\n    class=\"{{ class }}\"\n    [style]=\"selectStyle()\"\n    [options]=\"options()\"\n    [optionLabel]=\"optionLabel()\"\n    [optionValue]=\"optionValue()\"\n    [placeholder]=\"placeholder()\"\n    [appendTo]=\"appendTo()\"\n    [filter]=\"filter()\"\n    filterBy=\"{{ filterBy() }}\"\n    [showClear]=\"showClear()\"\n    [editable]=\"editable()\"\n    [lazy]=\"lazy()\"\n    [disabled]=\"disabled\"\n    [(ngModel)]=\"model\"\n    [ngModelOptions]=\"{ standalone: true }\"\n    (ngModelChange)=\"onModelChange($event)\"\n    (onFilter)=\"onFilter.emit($event)\"\n    (onLazyLoad)=\"onLazyLoad.emit($event)\"\n    (onChange)=\"selectionChange($event)\" />\n  <label>{{ label() }}</label>\n</p-floatlabel>\n" }]
        }], propDecorators: { pSelect: [{
                type: ViewChildren,
                args: ['pSelect']
            }], class: [{
                type: HostBinding,
                args: ['class']
            }], style: [{
                type: HostBinding,
                args: ['style']
            }] } });

class ZToggleSwitchComponent {
    class = 'flex flex-auto flex-row gap-2 align-items-start align-content-center flex-wrap';
    inputClassStyle = input('flex flex-auto');
    labelClassStyle = input(undefined);
    label = input(undefined);
    autocomplete = input(undefined);
    id = input(undefined);
    mode = input('currency');
    minFractionDigits = input(0);
    maxFractionDigits = input(2);
    min = input(undefined);
    max = input(undefined);
    currency = input('EUR');
    locale = input(undefined);
    suffix = input('%');
    prefix = input(undefined);
    /* NG_VALUE_ACCESSOR Implementation */
    // https://blog.angular-university.io/angular-custom-form-controls/
    disabled;
    model;
    onModelChange = () => { };
    onModelTouched = () => { };
    writeValue(obj) {
        this.model = obj;
    }
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    registerOnTouched(fn) {
        this.onModelTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    validate(control) {
        return null;
    }
    registerOnValidatorChange(fn) {
        // throw new Error('Method not implemented.');
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZToggleSwitchComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.7", type: ZToggleSwitchComponent, isStandalone: true, selector: "z-toggle-switch", inputs: { inputClassStyle: { classPropertyName: "inputClassStyle", publicName: "inputClassStyle", isSignal: true, isRequired: false, transformFunction: null }, labelClassStyle: { classPropertyName: "labelClassStyle", publicName: "labelClassStyle", isSignal: true, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: true, isRequired: false, transformFunction: null }, autocomplete: { classPropertyName: "autocomplete", publicName: "autocomplete", isSignal: true, isRequired: false, transformFunction: null }, id: { classPropertyName: "id", publicName: "id", isSignal: true, isRequired: false, transformFunction: null }, mode: { classPropertyName: "mode", publicName: "mode", isSignal: true, isRequired: false, transformFunction: null }, minFractionDigits: { classPropertyName: "minFractionDigits", publicName: "minFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, maxFractionDigits: { classPropertyName: "maxFractionDigits", publicName: "maxFractionDigits", isSignal: true, isRequired: false, transformFunction: null }, min: { classPropertyName: "min", publicName: "min", isSignal: true, isRequired: false, transformFunction: null }, max: { classPropertyName: "max", publicName: "max", isSignal: true, isRequired: false, transformFunction: null }, currency: { classPropertyName: "currency", publicName: "currency", isSignal: true, isRequired: false, transformFunction: null }, locale: { classPropertyName: "locale", publicName: "locale", isSignal: true, isRequired: false, transformFunction: null }, suffix: { classPropertyName: "suffix", publicName: "suffix", isSignal: true, isRequired: false, transformFunction: null }, prefix: { classPropertyName: "prefix", publicName: "prefix", isSignal: true, isRequired: false, transformFunction: null } }, host: { properties: { "class": "this.class" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ZToggleSwitchComponent),
                multi: true,
            },
            {
                provide: NG_VALIDATORS,
                multi: true,
                useExisting: ZToggleSwitchComponent,
            },
        ], ngImport: i0, template: "<label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n<p-toggleswitch\n  id=\"{{ id() }}\"\n  [ngModel]=\"model\"\n  (ngModelChange)=\"onModelChange($event)\"\n  [ngModelOptions]=\"{ standalone: true }\"\n/>\n", styles: [":host{display:block}\n"], dependencies: [{ kind: "ngmodule", type: ToggleSwitchModule }, { kind: "component", type: i1$5.ToggleSwitch, selector: "p-toggleswitch, p-toggleSwitch, p-toggle-switch", inputs: ["style", "styleClass", "tabindex", "inputId", "name", "disabled", "readonly", "trueValue", "falseValue", "ariaLabel", "ariaLabelledBy", "autofocus"], outputs: ["onChange"] }, { kind: "ngmodule", type: FormsModule }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "ngmodule", type: ReactiveFormsModule }], viewProviders: [
            {
                provide: ControlContainer,
                useExisting: FormGroupDirective,
            },
        ], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.7", ngImport: i0, type: ZToggleSwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'z-toggle-switch', imports: [ToggleSwitchModule, FormsModule, ReactiveFormsModule], providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ZToggleSwitchComponent),
                            multi: true,
                        },
                        {
                            provide: NG_VALIDATORS,
                            multi: true,
                            useExisting: ZToggleSwitchComponent,
                        },
                    ], viewProviders: [
                        {
                            provide: ControlContainer,
                            useExisting: FormGroupDirective,
                        },
                    ], encapsulation: ViewEncapsulation.None, template: "<label for=\"{{ id() }}\" class=\"{{ labelClassStyle() }}\">{{ label() }}</label>\n<p-toggleswitch\n  id=\"{{ id() }}\"\n  [ngModel]=\"model\"\n  (ngModelChange)=\"onModelChange($event)\"\n  [ngModelOptions]=\"{ standalone: true }\"\n/>\n", styles: [":host{display:block}\n"] }]
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });

/*
 * Public API Surface of zigra-ng-library
 */
// export * from './lib/zigra-ng-library.service';
// export * from './lib/zigra-ng-library.component';
// export * from './lib/z-crud-component/z-crud.component';
// export * from './lib/z-crud-component/models/crud-metadata';
// export * from './lib/z-select-table/z-select-table.component';
// export * from './lib/utils/utils.helper';
// export * from './lib/pipes/table-cell-content.pipe';
// export * from './lib/pipes/table-header-content.pipe';
// export * from './lib/pipes/table-cell-value.pipe';
// export * from './lib/z-crud-component/models/crud.models';
// export * from './lib/utils/fetch-query-params.helper';

/**
 * Generated bundle index. Do not edit.
 */

export { ZAutoCompleteComponent, ZDatePickerComponent, ZFloatEmailComponent, ZFloatLabelComponent, ZFloatLabelCurrencyComponent, ZFloatLabelNotesComponent, ZFloatLabelNumberComponent, ZFloatLabelPercentComponent, ZSelectComponent, ZToggleSwitchComponent };
//# sourceMappingURL=zigra-ng-library.mjs.map
