import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ZDatePickerComponent implements ControlValueAccessor, Validator {
    class?: string;
    style?: string;
    labelClassStyle: import("@angular/core").InputSignal<string | undefined>;
    inputClassStyle: import("@angular/core").InputSignal<string | undefined>;
    label: import("@angular/core").InputSignal<string | undefined>;
    autocomplete: import("@angular/core").InputSignal<string | undefined>;
    id: import("@angular/core").InputSignal<string | undefined>;
    formControlName: import("@angular/core").InputSignal<string | undefined>;
    showClear: import("@angular/core").InputSignal<boolean | undefined>;
    showTime: import("@angular/core").InputSignal<boolean>;
    showIcon: import("@angular/core").InputSignal<boolean>;
    locale: import("@angular/core").InputSignal<string | undefined>;
    disabled: boolean;
    model: any;
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange?(fn: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZDatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZDatePickerComponent, "z-date-picker", never, { "labelClassStyle": { "alias": "labelClassStyle"; "required": false; "isSignal": true; }; "inputClassStyle": { "alias": "inputClassStyle"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "autocomplete": { "alias": "autocomplete"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "formControlName": { "alias": "formControlName"; "required": false; "isSignal": true; }; "showClear": { "alias": "showClear"; "required": false; "isSignal": true; }; "showTime": { "alias": "showTime"; "required": false; "isSignal": true; }; "showIcon": { "alias": "showIcon"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
