import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ZFloatLabelNotesComponent implements ControlValueAccessor, Validator {
    class?: string;
    inputClassStyle: import("@angular/core").InputSignal<string | undefined>;
    labelClassStyle: import("@angular/core").InputSignal<string | undefined>;
    label: import("@angular/core").InputSignal<string | undefined>;
    autocomplete: import("@angular/core").InputSignal<string | undefined>;
    id: import("@angular/core").InputSignal<string | undefined>;
    rows: import("@angular/core").InputSignal<number | undefined>;
    cols: import("@angular/core").InputSignal<number | undefined>;
    disabled?: boolean;
    model: any;
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange?(fn: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZFloatLabelNotesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZFloatLabelNotesComponent, "z-float-label-notes", never, { "inputClassStyle": { "alias": "inputClassStyle"; "required": false; "isSignal": true; }; "labelClassStyle": { "alias": "labelClassStyle"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "autocomplete": { "alias": "autocomplete"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "rows": { "alias": "rows"; "required": false; "isSignal": true; }; "cols": { "alias": "cols"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
