import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ZToggleSwitchComponent implements ControlValueAccessor, Validator {
    class?: string;
    inputClassStyle: import("@angular/core").InputSignal<string | undefined>;
    labelClassStyle: import("@angular/core").InputSignal<string | undefined>;
    label: import("@angular/core").InputSignal<string | undefined>;
    autocomplete: import("@angular/core").InputSignal<string | undefined>;
    id: import("@angular/core").InputSignal<string | undefined>;
    mode: import("@angular/core").InputSignal<string | undefined>;
    minFractionDigits: import("@angular/core").InputSignal<number | undefined>;
    maxFractionDigits: import("@angular/core").InputSignal<number | undefined>;
    min: import("@angular/core").InputSignal<number | undefined>;
    max: import("@angular/core").InputSignal<number | undefined>;
    currency: import("@angular/core").InputSignal<string | undefined>;
    locale: import("@angular/core").InputSignal<string | undefined>;
    suffix: import("@angular/core").InputSignal<string | undefined>;
    prefix: import("@angular/core").InputSignal<string | undefined>;
    disabled?: boolean;
    model: any;
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange?(fn: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZToggleSwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZToggleSwitchComponent, "z-toggle-switch", never, { "inputClassStyle": { "alias": "inputClassStyle"; "required": false; "isSignal": true; }; "labelClassStyle": { "alias": "labelClassStyle"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "autocomplete": { "alias": "autocomplete"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "mode": { "alias": "mode"; "required": false; "isSignal": true; }; "minFractionDigits": { "alias": "minFractionDigits"; "required": false; "isSignal": true; }; "maxFractionDigits": { "alias": "maxFractionDigits"; "required": false; "isSignal": true; }; "min": { "alias": "min"; "required": false; "isSignal": true; }; "max": { "alias": "max"; "required": false; "isSignal": true; }; "currency": { "alias": "currency"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; "suffix": { "alias": "suffix"; "required": false; "isSignal": true; }; "prefix": { "alias": "prefix"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
