import { AbstractControl, ValidationErrors } from '@angular/forms';
import { AutoCompleteCompleteEvent } from 'primeng/autocomplete';
import * as i0 from "@angular/core";
export declare class ZAutoCompleteComponent {
    class?: string;
    labelClassStyle: import("@angular/core").InputSignal<string | undefined>;
    inputClassStyle: import("@angular/core").InputSignal<string | undefined>;
    label: import("@angular/core").InputSignal<string | undefined>;
    autocomplete: import("@angular/core").InputSignal<string | undefined>;
    id: import("@angular/core").InputSignal<string | undefined>;
    formControlName: import("@angular/core").InputSignal<string | undefined>;
    showClear: import("@angular/core").InputSignal<boolean | undefined>;
    showTime: import("@angular/core").InputSignal<boolean>;
    showIcon: import("@angular/core").InputSignal<boolean>;
    locale: import("@angular/core").InputSignal<string | undefined>;
    suggestions: import("@angular/core").InputSignal<any[] | undefined>;
    completeMethod: import("@angular/core").OutputEmitterRef<AutoCompleteCompleteEvent>;
    onCompleteMethod($event: AutoCompleteCompleteEvent): void;
    disabled?: boolean;
    model: any;
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange?(fn: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZAutoCompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZAutoCompleteComponent, "z-auto-complete", never, { "labelClassStyle": { "alias": "labelClassStyle"; "required": false; "isSignal": true; }; "inputClassStyle": { "alias": "inputClassStyle"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "autocomplete": { "alias": "autocomplete"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "formControlName": { "alias": "formControlName"; "required": false; "isSignal": true; }; "showClear": { "alias": "showClear"; "required": false; "isSignal": true; }; "showTime": { "alias": "showTime"; "required": false; "isSignal": true; }; "showIcon": { "alias": "showIcon"; "required": false; "isSignal": true; }; "locale": { "alias": "locale"; "required": false; "isSignal": true; }; "suggestions": { "alias": "suggestions"; "required": false; "isSignal": true; }; }, { "completeMethod": "completeMethod"; }, never, never, true, never>;
}
