import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class ZFloatLabelComponent implements ControlValueAccessor, Validator {
    class?: string;
    style?: string;
    inputClassStyle: import("@angular/core").InputSignal<string | undefined>;
    labelClassStyle: import("@angular/core").InputSignal<string | undefined>;
    label: import("@angular/core").InputSignal<string | undefined>;
    autocomplete: import("@angular/core").InputSignal<string | undefined>;
    id: import("@angular/core").InputSignal<string | undefined>;
    readOnly: import("@angular/core").InputSignal<boolean | undefined>;
    formControlName: import("@angular/core").InputSignal<string | undefined>;
    disabled: boolean;
    model: any;
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange?(fn: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZFloatLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZFloatLabelComponent, "z-float-label", never, { "inputClassStyle": { "alias": "inputClassStyle"; "required": false; "isSignal": true; }; "labelClassStyle": { "alias": "labelClassStyle"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "autocomplete": { "alias": "autocomplete"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "readOnly": { "alias": "readOnly"; "required": false; "isSignal": true; }; "formControlName": { "alias": "formControlName"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
