import { AbstractControl, ControlValueAccessor, ValidationErrors, Validator } from '@angular/forms';
import { Select, SelectChangeEvent, SelectFilterEvent, SelectLazyLoadEvent } from 'primeng/select';
import * as i0 from "@angular/core";
export declare class ZSelectComponent<TOption = any> implements ControlValueAccessor, Validator {
    pSelect?: Select;
    class?: string;
    style?: string;
    filter: import("@angular/core").InputSignal<boolean | undefined>;
    filterBy: import("@angular/core").InputSignal<string | undefined>;
    showClear: import("@angular/core").InputSignal<boolean | undefined>;
    inputId: import("@angular/core").InputSignal<string | undefined>;
    label: import("@angular/core").InputSignal<string | undefined>;
    autocomplete: import("@angular/core").InputSignal<string | undefined>;
    id: import("@angular/core").InputSignal<string | undefined>;
    optionLabel: import("@angular/core").InputSignal<string | undefined>;
    optionValue: import("@angular/core").ModelSignal<string | undefined>;
    options: import("@angular/core").InputSignal<any[] | TOption[] | undefined>;
    placeholder: import("@angular/core").InputSignal<string | undefined>;
    appendTo: import("@angular/core").InputSignal<string | undefined>;
    editable: import("@angular/core").InputSignal<boolean | undefined>;
    lazy: import("@angular/core").InputSignal<boolean | undefined>;
    onFilter: import("@angular/core").OutputEmitterRef<SelectFilterEvent>;
    onLazyLoad: import("@angular/core").OutputEmitterRef<SelectLazyLoadEvent>;
    onChange: import("@angular/core").OutputEmitterRef<SelectChangeEvent>;
    selectStyle: import("@angular/core").InputSignal<{
        [klass: string]: any;
    } | null | undefined>;
    disabled: boolean;
    model: any;
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange?(fn: () => void): void;
    selectionChange($event: SelectChangeEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ZSelectComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ZSelectComponent<any>, "z-select", never, { "filter": { "alias": "filter"; "required": false; "isSignal": true; }; "filterBy": { "alias": "filterBy"; "required": false; "isSignal": true; }; "showClear": { "alias": "showClear"; "required": false; "isSignal": true; }; "inputId": { "alias": "inputId"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "autocomplete": { "alias": "autocomplete"; "required": false; "isSignal": true; }; "id": { "alias": "id"; "required": false; "isSignal": true; }; "optionLabel": { "alias": "optionLabel"; "required": false; "isSignal": true; }; "optionValue": { "alias": "optionValue"; "required": false; "isSignal": true; }; "options": { "alias": "options"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "appendTo": { "alias": "appendTo"; "required": false; "isSignal": true; }; "editable": { "alias": "editable"; "required": false; "isSignal": true; }; "lazy": { "alias": "lazy"; "required": false; "isSignal": true; }; "selectStyle": { "alias": "selectStyle"; "required": false; "isSignal": true; }; }, { "optionValue": "optionValueChange"; "onFilter": "onFilter"; "onLazyLoad": "onLazyLoad"; "onChange": "onChange"; }, never, never, true, never>;
}
